using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static void Input(int x, List<int> a)
    {
        var s = Console.ReadLine().Split(' ');
        for (int i = 0; i < s.Length; i++)
        {
            a.Add(int.Parse(s[i]));
        }
        a.Sort();
    }
    static int Glasanje(List<int> a, int podatak)
    {
        int n = a.Count(), medijana = a[n / 2];

        if (a.IndexOf(podatak) != -1)
        {
            if (podatak == medijana)
            {
                return 0;
            }
            int razlika = Math.Abs(a.IndexOf(podatak) - n / 2) - 1;
            if (n % 2 == 0)
            {
                if (podatak > medijana)
                {
                    return (razlika + 1) * 2;
                }
                if (podatak < medijana)
                {
                    razlika = Math.Abs(a.LastIndexOf(podatak) - n / 2) - 1;
                    return 1 + razlika * 2;
                }
            }
            else
            {
                if (podatak > medijana)
                {
                    return 1 + razlika * 2;
                }
                if (podatak < medijana)
                {
                    razlika = Math.Abs(a.LastIndexOf(podatak) - n / 2);
                    return razlika * 2;
                }
            }
        }
        else
        {
            if(podatak > a[n - 1])
            {
                return n;
            }
            else if(podatak < a[0])
            {
                return n + 1;
            }
            else
            {
                a.Add(podatak);
                a.Sort();
                return Glasanje(a, podatak) + 1;
            }
        }
        return -1;
    }
    static void Main()
    {
        var s = Console.ReadLine().Split(' ');
        int n = int.Parse(s[0]);
        int m = int.Parse(s[1]);
        List<int> a = new List<int>(n);
        Input(n, a);
        var q = Console.ReadLine().Split(' ');
        for (int i = 0; i < m; i++) 
        {
            int podatak = int.Parse(q[i]);
            Console.WriteLine(Glasanje(a, podatak));
            if(a.Count() != n)
            {
                a.Remove(podatak);
            }
        }
    }
}